Package it.ernytech.tdlib.utils

## Enum Os

- java.lang.Object
- - java.lang.Enum<Os>
  - - it.ernytech.tdlib.utils.Os

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Os>`

    public enum Os
    extends java.lang.Enum<Os>

Enumeration with all operating systems recognized by this library.

### Enum Constant Summary

Enum Constants
`linux`
`mac`
`unknown`
`win`

### Method Summary

All Methods Static Methods Concrete Methods
`static Os` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Os[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### linux

    public static final Os linux

#### win

    public static final Os win

#### mac

    public static final Os mac

#### unknown

    public static final Os unknown

### Method Detail

#### values

    public static Os[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Os c : Os.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Os valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null